@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface XsltEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
XsltEndpointBuilderFactory.AdvancedXsltEndpointBuilder
Advanced builder for endpoint for the XSLT component.
|
static interface |
XsltEndpointBuilderFactory.XsltBuilders |
static interface |
XsltEndpointBuilderFactory.XsltEndpointBuilder
Builder for endpoint for the XSLT component.
|
static class |
XsltEndpointBuilderFactory.XsltOutput
Proxy enum for
org.apache.camel.component.xslt.XsltOutput
enum. |
| Modifier and Type | Method and Description |
|---|---|
static XsltEndpointBuilderFactory.XsltEndpointBuilder |
xslt(String path)
XSLT (camel-xslt)
Transforms the message using a XSLT template.
|
static XsltEndpointBuilderFactory.XsltEndpointBuilder xslt(String path)
xslt:resourceUri
Path parameter: resourceUri (required)
Path to the template. The following is supported by the default
URIResolver. You can prefix with: classpath, file, http, ref, or bean.
classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethodApache Camel